#define NUM_GAMES 6

#define GAME_KTA 0
#define GAME_FFA 1
#define GAME_PRD 2
#define GAME_CTF 3
#define GAME_TAG 4
#define GAME_DOM 5

extern int gameType;
extern int teamplay;
extern int tactics;
extern int fragLimit;
extern int lifeLimit;
extern worm *predator;

extern worm *scores[GP_MAX_PLAYERS];

extern char gameNames[NUM_GAMES][20];
extern char teamplayNames[2][20];
extern char tacticalNames[2][20];

void playerDead(worm *attacker, worm *prey, weapon *weap);

void giveScore(worm *player, int amount);
void sortScores();
void checkRules();

